Notes
Notes attached to tabs and orders
Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Query Parameters
Type of entity to fetch notes for
Value in
- "tab"
- "user"
- "booking"
ID of the entity (tab UUID or user ID)
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/notes?entityType=tab&entityId=string"{ "status": "success", "data": { "notes": [ { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "entityType": "tab", "entityId": "string", "note": "string", "locationId": 0, "sortOrder": 0, "createdByRetailerUserId": 0, "createdByName": "string", "updatedByRetailerUserId": 0, "updatedByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Type of entity to attach the note to
Value in
- "tab"
- "user"
- "booking"
ID of the entity (tab UUID or user ID)
Note content
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/notes" \ -H "Content-Type: application/json" \ -d '{ "entityType": "tab", "entityId": "string", "note": "string" }'{ "status": "success", "data": { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "entityType": "tab", "entityId": "string", "note": "string", "locationId": 0, "sortOrder": 0, "createdByRetailerUserId": 0, "createdByName": "string", "updatedByRetailerUserId": 0, "updatedByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Note UUID
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/notes/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "status": "success", "data": { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "entityType": "tab", "entityId": "string", "note": "string", "locationId": 0, "sortOrder": 0, "createdByRetailerUserId": 0, "createdByName": "string", "updatedByRetailerUserId": 0, "updatedByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Note UUID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Updated note content
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/notes/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "note": "string" }'{ "status": "success", "data": { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "entityType": "tab", "entityId": "string", "note": "string", "locationId": 0, "sortOrder": 0, "createdByRetailerUserId": 0, "createdByName": "string", "updatedByRetailerUserId": 0, "updatedByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Note UUID
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v1/notes/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "status": "success", "data": { "deleted": true }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Query Parameters
Type of entity to fetch notes for
Value in
- "tab"
- "user"
- "booking"
ID of the entity (tab UUID or user ID)
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Array of note UUIDs in the desired order
1 <= itemsResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/notes/reorder?entityType=tab&entityId=string" \ -H "Content-Type: application/json" \ -d '{ "noteUuids": [ "bc73a137-7ed5-47a2-9eea-540619e37343" ] }'{ "status": "success", "data": { "notes": [ { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "entityType": "tab", "entityId": "string", "note": "string", "locationId": 0, "sortOrder": 0, "createdByRetailerUserId": 0, "createdByName": "string", "updatedByRetailerUserId": 0, "updatedByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}